Subject: filters

From: [email-masked] (Zhiliang Hu)
Date: Wed, 22 Mar 1995 19:35:18 +1000

I got confused by the way procmail worked contrary to the way I set up --

I am a list owner ... There are two types of mails from the listserv I
want to differenticiate: (1) Error notices -> go to "mail-errors";
(2) Notification for approval of posted mails -> go to incoming (default).

I set up my .procmail to pick up by ^Subject like:

(1) Subject: Error Condition Re: Notification: message ignored
    To: [email-masked], [email-masked]
(2) Subject: Notification
    To: [email-masked], [email-masked]

______________My .procmailrc________________
:0 w:
* ^From.*(^Subject: Notification)[email-masked]|\
         (^To: [email-masked])   # <---------------------|Does this
$DEFAULT                               #                    match strickly?

:0:
* !^Precedence:.*list
* ^FROM_DAEMON|^From.*DEAD(-LETTER|MAIL)|-errors|EARNGATE|Delive?r|\
           (SMTP20|LISTPROC)|(^Subject:.*Error Condition Re:*)
mail-errors
______________My .procmailrc________________

However the type (1) mail (error notice) always come in my incoming
mbox (default).  Why?

Is that "To" line confused procmail?  I was to set
(^To: [email-masked]) as strick match but ...

Zhiliang